import Foundation
import WebSocketKit

final class DealingPlayer: AbstractPlayer {

    var cards: [PlayableCard] = []

    var didDouble: Bool? = nil

    init(player: WaitingPlayer) {
        super.init(player: player)
    }
}

extension DealingPlayer: Player {

    var actions: [PlayerAction] {
        didDouble == nil ? [.initialDoubleCost, .noDoubleCost] : []
    }

    var playedCard: Card? {
        nil
    }
}
